> ## Documentation Index
> Fetch the complete documentation index at: https://docs.anysite.io/llms.txt
> Use this file to discover all available pages before exploring further.

# /crates/summary

> Get the crates.io registry summary (featured and popular crates, keywords, categories)

**Price:** 1 credit



## OpenAPI

````yaml /openapi/package-registries.json post /api/crates/summary
openapi: 3.1.0
info:
  title: Any Site API
  description: >+
    Any Site API provides programmatic access to data from LinkedIn, Instagram,
    Twitter, and other platforms.


    ## Authentication


    All API endpoints require an `access-token` header with a valid API token.
    Tokens can be created in the [dashboard](https://app.anysite.io/).


    ## Pricing


    Each endpoint has a credit cost listed in its description. Credits are
    deducted from your token balance per request.

  version: 0.0.1
servers: []
security:
  - AccessToken: []
paths:
  /api/crates/summary:
    post:
      tags:
        - /crates
      summary: /crates/summary
      description: >-
        Get the crates.io registry summary (featured and popular crates,
        keywords, categories)


        **Price:** 1 credit
      operationId: __api_crates_summary_post
      parameters:
        - name: access-token
          in: header
          required: true
          schema:
            anyOf:
              - type: string
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CratesSummaryPayload'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/CratesSummary'
        '422':
          description: Validation Error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPValidationError'
components:
  schemas:
    CratesSummaryPayload:
      properties:
        timeout:
          type: integer
          maximum: 1500
          minimum: 20
          default: 300
      type: object
    CratesSummary:
      properties:
        '@type':
          type: string
          default: CratesSummary
        total_download_count:
          type: integer
          default: 0
        total_crate_count:
          type: integer
          default: 0
        new_crates:
          items:
            $ref: '#/components/schemas/CratesCrate'
          type: array
          default: []
        most_downloaded:
          items:
            $ref: '#/components/schemas/CratesCrate'
          type: array
          default: []
        most_recently_downloaded:
          items:
            $ref: '#/components/schemas/CratesCrate'
          type: array
          default: []
        just_updated:
          items:
            $ref: '#/components/schemas/CratesCrate'
          type: array
          default: []
        popular_keywords:
          items:
            $ref: '#/components/schemas/CratesKeyword'
          type: array
          default: []
        popular_categories:
          items:
            $ref: '#/components/schemas/CratesCategory'
          type: array
          default: []
      type: object
    HTTPValidationError:
      properties:
        detail:
          items:
            $ref: '#/components/schemas/ValidationError'
          type: array
      type: object
    CratesCrate:
      properties:
        '@type':
          type: string
          default: CratesCrate
        name:
          type: string
        homepage_url:
          anyOf:
            - type: string
            - type: 'null'
        documentation_url:
          anyOf:
            - type: string
            - type: 'null'
        repository_url:
          anyOf:
            - type: string
            - type: 'null'
        download_count:
          type: integer
          default: 0
        recent_download_count:
          type: integer
          default: 0
        version_count:
          type: integer
          default: 0
        default_version:
          anyOf:
            - type: string
            - type: 'null'
        newest_version:
          anyOf:
            - type: string
            - type: 'null'
        max_version:
          anyOf:
            - type: string
            - type: 'null'
        max_stable_version:
          anyOf:
            - type: string
            - type: 'null'
        is_yanked:
          type: boolean
          default: false
        exact_match:
          anyOf:
            - type: boolean
            - type: 'null'
        keywords:
          items:
            type: string
          type: array
          default: []
        categories:
          items:
            type: string
          type: array
          default: []
        created_at:
          type: string
          default: ''
        updated_at:
          type: string
          default: ''
        web_url:
          type: string
          default: ''
      type: object
      required:
        - name
    CratesKeyword:
      properties:
        '@type':
          type: string
          default: CratesKeyword
        id:
          type: string
          default: ''
        keyword:
          type: string
          default: ''
        crate_count:
          type: integer
          default: 0
        created_at:
          type: string
          default: ''
      type: object
    CratesCategory:
      properties:
        '@type':
          type: string
          default: CratesCategory
        id:
          type: string
          default: ''
        name:
          type: string
          default: ''
        slug:
          type: string
          default: ''
        crate_count:
          type: integer
          default: 0
        created_at:
          type: string
          default: ''
      type: object
    ValidationError:
      properties:
        loc:
          items:
            anyOf:
              - type: string
              - type: integer
          type: array
        msg:
          type: string
        type:
          type: string
        input: {}
        ctx:
          type: object
      type: object
      required:
        - loc
        - msg
        - type
  securitySchemes:
    AccessToken:
      type: apiKey
      in: header
      name: access-token
      description: API token from the dashboard

````